/*******************************************************************************
 * Copyright (c) 2022  Xilinx, Inc. All rights reserved.
 * All rights reserved. This software is made available under
 * the terms of the Eclipse Public License 2.0
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * Xilinx, Inc.
 * Copyright 2022  Xilinx, Inc. All Rights Reserved.
 *******************************************************************************/

package org.eclipse.tcf.internal.dap.breakpoint;

import org.eclipse.lsp4j.debug.Source;

import java.nio.file.Paths;

public class BreakpointUtils {

    public static String getNormalizedSourcePath(Source source) {
        return Paths.get(source.getPath()).normalize().toString();
    }
}
